[rspec-users] RSpec is missing gems even though they are installed

Rails Learner lists at ruby-forum.com
Fri Mar 11 10:55:00 EST 2011


Hi Folks,

I am getting an error when trying to run my examples in RSpec:

Command: spec spec

Error:
Missing these required gems:
  rspec-rails  >= 1.2.2
  cucumber  >= 0.2.2

You're running:
  ruby 1.8.7.334 at /Users/auser/.rvm/rubies/ruby-1.8.7-p334/bin/ruby
  rubygems 1.6.2 at /Users/auser/.rvm/gems/ruby-1.8.7-p334,
/Users/auser/.rvm/gems/ruby-1.8.7-p334 at global


I have installed ruby using RVM.
I know that RSpec is looking in wrong location for the gems.
It's looking in "/Users/auser/.rvm/gems/ruby-1.8.7-p334 at global" location
while the gems exists in "Users/amitp/.rvm/gems/ruby-1.8.7-p334"
location.

How do I fix this issue?

Please help!

Thanks a lot!!!!

-- 
Posted via http://www.ruby-forum.com/.


More information about the rspec-users mailing list